--- old/usr/src/cmd/man/src/man.c	Thu Feb  9 21:13:53 2012
+++ new/usr/src/cmd/man/src/man.c	Thu Feb  9 21:13:53 2012
@@ -20,6 +20,7 @@
  */
 /*
  * Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2012, Josef 'Jeff' Sipek <jeffpc@josefsipek.net>. All rights reserved.
  */
 
 /*	Copyright (c) 1983, 1984, 1985, 1986, 1987, 1988, 1989  AT&T.	*/
@@ -528,6 +529,15 @@
 	/* release pathv allocated by split() */
 	freev(pathv);
 
+	/*
+	 * Since we can't make use of GNU troff, set the path to ensure we
+	 * find the one in /usr/bin first.
+	 */
+	if (putenv("PATH=/usr/bin") != 0) {
+		perror("putenv");
+		exit(1);
+	}
+
 	fullpaths(&manpage);
 
 	if (catmando) {
